Bug 1397021 - libidn2 license is incorrectly set to GPLv3+
Summary: libidn2 license is incorrectly set to GPLv3+
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libidn2
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert Scheck
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-21 12:23 UTC by Nikos Mavrogiannopoulos
Modified: 2016-12-08 20:48 UTC (History)
1 user (show)

Fixed In Version: libidn2-0.11-1.fc25 libidn2-0.11-1.fc24 libidn2-0.11-1.fc23 libidn2-0.11-1.el7 libidn2-0.11-1.el5 libidn2-0.11-1.el6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-24 16:30:45 UTC


Attachments (Terms of Use)

Description Nikos Mavrogiannopoulos 2016-11-21 12:23:50 UTC
Description of problem:
The license of the libidn2 library is LGPLv3+ or GPLv2 (according to the C files consisting the library), while the included tools are GPLv3+. The spec file incorrectly lists only GPLv3+.

I think it is reasonable to simplify the library license by upgrading all to GPLv3 however that will create confusion for someone trying to check whether he can link against libidn2 or not. It is better to explicitly list the licenses as: "LGPLv3+ or GPLv2 and GPLv3"

Comment 2 Robert Scheck 2016-11-21 20:04:43 UTC
As per the discussion at #fedora-devel on IRC it should be:

 (GPLv2+ or LGPLv3+) and GPLv3+

Comment 3 Fedora Update System 2016-11-21 21:09:39 UTC
libidn2-0.11-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8bb027b557

Comment 4 Fedora Update System 2016-11-21 21:10:40 UTC
libidn2-0.11-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-4b49a3ce09

Comment 5 Fedora Update System 2016-11-21 21:11:36 UTC
libidn2-0.11-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3f37a863df

Comment 6 Fedora Update System 2016-11-21 21:12:23 UTC
libidn2-0.11-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-3849ba4781

Comment 7 Fedora Update System 2016-11-21 21:13:04 UTC
libidn2-0.11-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-29edb628ac

Comment 8 Fedora Update System 2016-11-21 21:14:04 UTC
libidn2-0.11-1.el5 has been submitted as an update to Fedora EPEL 5. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-e38e45912a

Comment 9 Nikos Mavrogiannopoulos 2016-11-22 08:08:05 UTC
Thank you.

Comment 10 Fedora Update System 2016-11-22 22:22:17 UTC
libidn2-0.11-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-3849ba4781

Comment 11 Fedora Update System 2016-11-22 23:25:13 UTC
libidn2-0.11-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3f37a863df

Comment 12 Fedora Update System 2016-11-23 04:16:48 UTC
libidn2-0.11-1.el5 has been pushed to the Fedora EPEL 5 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-e38e45912a

Comment 13 Fedora Update System 2016-11-23 20:32:02 UTC
libidn2-0.11-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-4b49a3ce09

Comment 14 Fedora Update System 2016-11-23 23:06:57 UTC
libidn2-0.11-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8bb027b557

Comment 15 Fedora Update System 2016-11-24 08:48:18 UTC
libidn2-0.11-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-29edb628ac

Comment 16 Fedora Update System 2016-11-24 16:30:45 UTC
libidn2-0.11-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2016-11-24 20:29:23 UTC
libidn2-0.11-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2016-11-28 21:23:07 UTC
libidn2-0.11-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2016-12-07 16:20:06 UTC
libidn2-0.11-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2016-12-08 05:17:59 UTC
libidn2-0.11-1.el5 has been pushed to the Fedora EPEL 5 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2016-12-08 20:48:21 UTC
libidn2-0.11-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.